summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLV-426 <lv-426@taproot.org.il>2015-05-04 15:48:32 +0300
committerLV-426 <lv-426@taproot.org.il>2015-05-05 19:04:32 +0300
commitd0eb11c978fd6063eb723d45aeb4c54872f52a5a (patch)
treed6a6fc3efb3246b9f158025bcd212f5bc32714b0
parent4b9451ea35b61645722a230622db4d58b9f52b76 (diff)
debian pkg: resource sort between package variants
-rw-r--r--res/debian/pkg__rhizi-common/dirs1
-rw-r--r--res/debian/pkg__rhizi-mux/dirs2
-rw-r--r--res/debian/pkg__rhizi-mux/rhizi.init144
-rwxr-xr-xres/debian/pkg__rhizi-single/rhizi.cron.daily (renamed from res/debian/pkg__rhizi-common/rhizi.cron.daily)0
4 files changed, 1 insertions, 146 deletions
diff --git a/res/debian/pkg__rhizi-common/dirs b/res/debian/pkg__rhizi-common/dirs
index 41d605ce..6e178754 100644
--- a/res/debian/pkg__rhizi-common/dirs
+++ b/res/debian/pkg__rhizi-common/dirs
@@ -1,2 +1,3 @@
+etc/rhizi/
var/run/rhizi
var/log/rhizi
diff --git a/res/debian/pkg__rhizi-mux/dirs b/res/debian/pkg__rhizi-mux/dirs
deleted file mode 100644
index 1e1391d3..00000000
--- a/res/debian/pkg__rhizi-mux/dirs
+++ /dev/null
@@ -1,2 +0,0 @@
-etc/rhizi/
-var/run/rhizi
diff --git a/res/debian/pkg__rhizi-mux/rhizi.init b/res/debian/pkg__rhizi-mux/rhizi.init
deleted file mode 100644
index 61d9e916..00000000
--- a/res/debian/pkg__rhizi-mux/rhizi.init
+++ /dev/null
@@ -1,144 +0,0 @@
-#!/bin/sh
-
-### BEGIN INIT INFO
-# Provides: rhizi
-# Required-Start: $local_fs $network $syslog
-# Required-Stop: $local_fs $network $syslog
-# Default-Start: 2 3 4 5
-# Default-Stop: 0 1 6
-# Short-Description: Rhizi service
-# Description: Rhizi kernel & accompanying web-server
-### END INIT INFO
-
-# Do NOT "set -e"
-
-# PATH should only include /usr/* if it runs after the mountnfs.sh script
-PATH=/sbin:/usr/sbin:/bin:/usr/bin
-DESC="rhizi-server"
-NAME=rhizi
-DAEMON=/usr/bin/python2.7
-PIDFILE=/var/run/$NAME/$NAME.pid
-SCRIPTNAME=/etc/init.d/$NAME
-USERNAME=www-data
-GROUPNAME=www-data
-
-ARGS__DAEMON="/srv/www/rhizi/rhizi.net/bin/rz_server.py --config-dir=/etc/rhizi"
-ARGS__START_STOP_DAEMON="--make-pidfile --background --chuid ${USERNAME}:${GROUPNAME}"
-
-# Exit if the package is not installed
-[ -x "$DAEMON" ] || exit 0
-
-# Read configuration variable file if it is present
-[ -r /etc/default/$NAME ] && . /etc/default/$NAME
-
-# Load the VERBOSE setting and other rcS variables
-. /lib/init/vars.sh
-
-# Define LSB log_* functions.
-# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
-# and status_of_proc is working.
-. /lib/lsb/init-functions
-
-# make sure /var/run/$NAME exists with proper +w mode as the uid:gid used to fork the server
-if [ ! -d /var/run/$NAME ]; then
- mkdir /var/run/$NAME
- chown ${USERNAME}:${GROUPNAME} /var/run/$NAME
-fi
-
-#
-# Function that starts the daemon/service
-#
-do_start()
-{
- # Return
- # 0 if daemon has been started
- # 1 if daemon was already running
- # 2 if daemon could not be started
- start-stop-daemon --start --quiet --pidfile $PIDFILE $ARGS__START_STOP_DAEMON --exec $DAEMON --test > /dev/null \
- || return 1
- start-stop-daemon --start --quiet --pidfile $PIDFILE $ARGS__START_STOP_DAEMON --exec $DAEMON -- \
- $ARGS__DAEMON \
- || return 2
-}
-
-#
-# Function that stops the daemon/service
-#
-do_stop()
-{
- # Return
- # 0 if daemon has been stopped
- # 1 if daemon was already stopped
- # 2 if daemon could not be stopped
- # other if a failure occurred
- start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE
- RETVAL="$?"
- [ "$RETVAL" = 2 ] && return 2
-
- # Wait for children to finish too if this is a daemon that forks
- # and if the daemon is only ever run from this initscript.
- # If the above conditions are not satisfied then add some other code
- # that waits for the process to drop all resources that could be
- # needed by services started subsequently. A last resort is to
- # sleep for some time.
- start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
- [ "$?" = 2 ] && return 2
-
- # Many daemons don't delete their pidfiles when they exit.
- rm -f $PIDFILE
- return "$RETVAL"
-}
-
-#
-# run command
-#
-case "$1" in
- start)
- [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
- do_start
- case "$?" in
- 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
- 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
- esac
- ;;
- stop)
- [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
- do_stop
- case "$?" in
- 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
- 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
- esac
- ;;
- status)
- status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
- ;;
- restart|force-reload)
- #
- # If the "reload" option is implemented then remove the
- # 'force-reload' alias
- #
- log_daemon_msg "Restarting $DESC" "$NAME"
- do_stop
- case "$?" in
- 0|1)
- do_start
- case "$?" in
- 0) log_end_msg 0 ;;
- 1) log_end_msg 1 ;; # Old process is still running
- *) log_end_msg 1 ;; # Failed to start
- esac
- ;;
- *)
- # Failed to stop
- log_end_msg 1
- ;;
- esac
- ;;
- *)
- #echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
- echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
- exit 3
- ;;
-esac
-
-:
diff --git a/res/debian/pkg__rhizi-common/rhizi.cron.daily b/res/debian/pkg__rhizi-single/rhizi.cron.daily
index 274cdd7a..274cdd7a 100755
--- a/res/debian/pkg__rhizi-common/rhizi.cron.daily
+++ b/res/debian/pkg__rhizi-single/rhizi.cron.daily